svn commit: r259252 - user/pho/stress2/misc

Peter Holm pho at FreeBSD.org
Thu Dec 12 10:39:32 UTC 2013


Author: pho
Date: Thu Dec 12 10:39:31 2013
New Revision: 259252
URL: http://svnweb.freebsd.org/changeset/base/259252

Log:
  Added new SU+J test scenario.
  
  Sponsored by:	EMC / Isilon storage division

Added:
  user/pho/stress2/misc/suj34.sh   (contents, props changed)

Added: user/pho/stress2/misc/suj34.sh
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ user/pho/stress2/misc/suj34.sh	Thu Dec 12 10:39:31 2013	(r259252)
@@ -0,0 +1,62 @@
+#!/bin/sh
+
+#
+# Copyright (c) 2013 EMC Corp.
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions
+# are met:
+# 1. Redistributions of source code must retain the above copyright
+#    notice, this list of conditions and the following disclaimer.
+# 2. Redistributions in binary form must reproduce the above copyright
+#    notice, this list of conditions and the following disclaimer in the
+#    documentation and/or other materials provided with the distribution.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
+# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
+# ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
+# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
+# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
+# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
+# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
+# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
+# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+# SUCH DAMAGE.
+#
+# $FreeBSD$
+#
+
+# Simple suj / nullfs test scenario
+# http://people.freebsd.org/~pho/stress/log/suj34.txt
+
+[ `id -u ` -ne 0 ] && echo "Must be root!" && exit 1
+
+. ../default.cfg
+
+mount | grep -q "$mntpoint" && umount $mntpoint
+mdconfig -l | grep -q $mdstart &&  mdconfig -d -u $mdstart
+
+mdconfig -a -t swap -s 4g -u $mdstart
+bsdlabel -w md${mdstart} auto
+
+newfs -j md${mdstart}$part > /dev/null
+mount /dev/md${mdstart}$part $mntpoint
+mkdir $mntpoint/null
+
+mnt2=${mntpoint}2
+[ -d $mnt2 ] || mkdir -p $mnt2
+mount | grep -q "on $mnt2 " && umount -f $mnt2
+mount -t nullfs $mntpoint/null $mnt2
+
+export RUNDIR=$mnt2/stressX
+export runRUNTIME=10m
+(cd ..; ./run.sh marcus.cfg) 
+
+while mount | grep -q "on $mnt2 "; do
+	umount $mnt2 || sleep 1
+done
+while mount | grep -q "on $mntpoint "; do
+	umount $mntpoint || sleep 1
+done


More information about the svn-src-user mailing list